Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.util.encoders
Interface Encoder

All Known Implementing Classes:
  Base64Encoder, HexEncoder, UrlBase64Encoder

    public interface Encoder

Encode and decode byte arrays (typically from binary to 7-bit ASCII encodings).

Method Summary
`int` | `decode(byte[] data, int off, int length, java.io.OutputStream out)`
`int` | `decode(java.lang.String data, java.io.OutputStream out)`
`int` | `encode(byte[] data, int off, int length, java.io.OutputStream out)`

Method Detail

### encode

    int encode(byte[] data,
               int off,
               int length,
               java.io.OutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    int decode(byte[] data,
               int off,
               int length,
               java.io.OutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    int decode(java.lang.String data,
               java.io.OutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD